> For the complete documentation index, see [llms.txt](https://identix.rlib.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://identix.rlib.io/developers/hooks.md).

# Hooks

<table data-header-hidden><thead><tr><th width="289">Hook</th><th width="393.3333333333333">Desc</th><th>Scope</th></tr></thead><tbody><tr><td><a href="/pages/-MTIfIN-xoJIwJX8sFuU"><strong>identix_fonts_register</strong></a></td><td>refresh all registered fonts</td><td><span data-gb-custom-inline data-tag="emoji" data-code="1f7e8">🟨</span></td></tr><tr><td><a href="/pages/-MTIBr4uu1dpHDzy3ITr"><strong>identix_pl_authenticate</strong></a></td><td>runs when player joins server</td><td><span data-gb-custom-inline data-tag="emoji" data-code="1f7e5">🟥</span></td></tr><tr><td><a href="/pages/-MTIE7_c1Zio9Uq0DCBC"><strong>identix_pl_name_set</strong></a></td><td>sets new name for player</td><td><span data-gb-custom-inline data-tag="emoji" data-code="1f7e5">🟥</span></td></tr><tr><td><a href="/pages/-MTINEXKzfR1EpkakY2M"><strong>identix_pl_name_set_post</strong></a></td><td>runs after new name registered for player</td><td><span data-gb-custom-inline data-tag="emoji" data-code="1f7e5">🟥</span></td></tr><tr><td><a href="/pages/-MTIRSvckni8j9I_nDnj"><strong>identix_pl_name_rs</strong></a></td><td>resets player name</td><td><span data-gb-custom-inline data-tag="emoji" data-code="1f7e5">🟥</span></td></tr><tr><td><a href="/pages/-MTIT2q_FNwgP6T0hThL"><strong>identix_pl_name_rs_post</strong></a></td><td>runs after player has name reset</td><td><span data-gb-custom-inline data-tag="emoji" data-code="1f7e5">🟥</span></td></tr><tr><td><a href="/pages/-MTIChvZw262BZVCY-WJ"><strong>identix_pl_profile_rate</strong></a></td><td>runs when player rates another player</td><td><span data-gb-custom-inline data-tag="emoji" data-code="1f7e5">🟥</span></td></tr><tr><td><a href="/pages/-MTIg2bQVuNsKoS9AuX2"><strong>identix_rnet_register</strong></a></td><td>refresh all network data</td><td><span data-gb-custom-inline data-tag="emoji" data-code="1f7e6">🟦</span></td></tr></tbody></table>

### <mark style="color:red;">◾ Legend</mark>

| Icon             | Desc   |
| ---------------- | ------ |
| :red\_square:    | Server |
| :blue\_square:   | Shared |
| :yellow\_square: | Client |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://identix.rlib.io/developers/hooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
